import server from '@/utils/request'

//新增
interface Querydata{
    pageSize:String|Number	            //每页条数
    pageNo:String|Number	            //页数
    stationCode?:String	                //换电站
    direction?:String	                //传送方向
    type?:String	                    //消息类型： 状态信息类、事件记录类、请求与响应类	query
    messageFunction?:String	            //方法 stationInfo
}

export function mqttlist(params:Querydata) {
  return server.request({
    url: '/cloud/mqttmessage/list',
    method: 'get',
    params
  })
}

//在线记录
export function onlinelist(params:any) {
  return server.request({
    url: '/cloud/mqtt/client/list',
    method: 'get',
    params
  })
}